Can't build for Android with IL2CPP

Hi all,

I cannot build for Android anymore as it gives error. I’m building with IL2CPP so I can build for 64 bit devices and trying to export as an Android App Bundle. I have some experience with building and publishing with Google Play, but I returned to Unity after some time and now I can’t solve this error. I have a 6 year old medium-end laptop and I’m trying with Windows 10, so probably it’s time to upgrade my laptop, but I would like to hear yout opinion, because I can find a way to get rid of this :frowning:

Info:

Unity version: 2018.4.3f1
Java Version: 1.8.0_221(Both the embedded OpenJDK and the one I have installed on laptop gives problems. I have to mention that either of the versions I’ve tried, I can see references to the embedded OpenJDK version, even if the other one is selected)
Android SDK: fully updated(Only NDK isn’t installed from the Android SDK Manager from Android Studio)
NDK: r16b

Console prints
Editor.Log file

I appreciate your help. Thanks in advance!! :smiley:

Best Regards,
Eduardo Bagarrão

There’s an error

java.util.concurrent.ExecutionException: java.lang.RuntimeException: jarsigner.exefailed with exit code 1 :
jarsigner: key associated with matchthelaser not a private key

Do you specify signing key in Player Settings (Android) ? It might be invalid, I suggest recreating it